
<?php
include_once("../php/config.php");

  if(isSet($_POST["btnAplicar"])){
	
					if(empty($_POST['moneda']) Or empty($_POST['monto']) Or empty($_POST['cliente']) Or empty($_POST['producto']) Or empty($_POST['fecha'])){
						echo "<script>alert('Faltan datos...');</script>";
						
					}else{
					
	
					if($_POST['moneda']=="GOURDE"){
						$inversion = $_POST['monto'] / $_POST['tasa_venta'];
						
					}
					
					
					if($_POST['moneda']=="DOLAR"){
						$inversion = $_POST['monto'] * $_POST['tasa_compra'];
					}
					
					
					
					
				
					 
					 

					 if($_POST['producto']=="MONCASH" OR $_POST['producto']=="NATCASH"){
							mysql_query("insert into recargas set 
							vendedor='".$_POST['cliente']."',
							usuario='".$_COOKIE['usuario']."',
							monto='".$_POST['monto']."',
							fecha='".$_POST['fecha']."',
							hora=CURTIME(),
							compania='".$_POST['producto']."',
							moneda='".$_POST['moneda']."',
							nota='".$_POST['concepto']."',
							recibe='".$_POST['monto']."',
							estado='Realizada',
							tipo='Remesa'") or die(mysql_error());
							
						$sql_balance = mysql_query("select stock from productos where descripcion='".$_POST['producto']."'") or die(mysql_error());
						$balance_anterior = @mysql_result($sql_balance, 0, "stock");
						$balance_actual = $balance_anterior - $_POST['monto'];
						
						
				$sql_r = mysql_query("select id from recargas where usuario='".$_COOKIE['usuario']."' order by id desc limit 1") or die(mysql_error());
				$recarga = mysql_result($sql_r,0,'id');
	}
				
					mysql_query("insert into ventas set 
					cliente='".$_POST['cliente']."',
					pagado_pesos=0,
					total='".$_POST['monto']."',
					tasa_compra='".$_POST['tasa_compra']."',
					tasa_venta='".$_POST['tasa_venta']."',
					balance='".$_POST['monto']."',
					fecha='".$_POST['fecha']."',
					hora='$hora',
				    termino='Credito',
					producto='".$_POST['producto']."',
					moneda='".$_POST['moneda']."',
					concepto='".$_POST['concepto']."',
					recarga='$recarga',
					inversion='".$inversion."'") or die(mysql_error());


						
						mysql_query("update productos SET costo=costo - '".$_POST['monto']."', 
						stock=stock - '".$_POST['monto']."' where descripcion = '".$_POST['producto']."'") or die(mysql_error());	
						
						 if($_POST['moneda']=="PESOS"){$pesos = $_POST['monto'];}
						
						mysql_query("insert into movimiento_producto set 
							producto='".$_POST['producto']."',
							cliente='".$_POST['cliente']."',
							
							debito='".$_POST['monto']."',
							fecha='".$_POST['fecha']."',
							hora=CURTIME(),
							pesos='$pesos',
							operacion='Venta',
							usuario='".$_COOKIE['usuario']."',
							balance_anterior='$balance_anterior',
							balance_actual='$balance_actual'") or die(mysql_error());

							
					
							
						
						
						
					
					
					 
					///// mysql_query("") or die(mysql_error());
					
					
					header("location: creditos.php");
  }			
}				
	include_once("../header.php");
	?>


<style>
  .form-control{
    @font-size: 20px;
  }


.col-md-2{
    @font-size: 15px;
	@font-weight:bolder;
  }

  td{
    font-size:18px;
  }

  th{
     font-size:18px;
  }
  .container-fluid{
	  background:#f1f1f1l;
  }
</style>
  <div class="container">
<div class="row">

	<div class="col-md-5 col-md-offset-3">
		  <div class="panel panel-default">
			<div class="panel-heading"><b><i class="fa fas  fa-lg fa-hand-holding-usd"></i> Asignar Credito a cliente</b></div>
			<div class="panel-body">
			<form action="" method="POST" id="frm1" onSubmit="$('.btn').hide()">
			<input type="hidden" readonly id="caja" name="caja">
<input type="hidden" readonly id="usuario" name="usuario">
				<a href="javascript:void(0)" onClick="cliente()"><i class="bi bi-person"></i> <b> Registrar nuevo Cliente </b></a>
				<div class="row mt-2">
					<div class="col-md-2">Fecha</div>
					<div class="col-md-10"><input type="date" name="fecha"  class="form-control" value="<?php echo $hoy?>"></div>
				</div>
			<input type="hidden"  
					class="form-control" name="cliente" id="cliente">
				<div class="row mt-2">
					     <div class="col-md-2">
                            <b>Clientes</b>
                        </div>
                        <div class="col-md-10">
                            <select  class="form-control  mb-2" id="clientes" name="clientes" onchange="$('#cliente').val(this.value)">

                                <option value="" selected>Sel. cliente</option>
                                <?php
								$sql_cliente = mysql_query("select * from clientes order by nombre asc") or die(mysql_error());
								while ($r = mysql_fetch_array($sql_cliente)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
							
							<script>
							$(function(){
								$("#clientes").select2()
							})
							</script>
                        </div>
					
					
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Producto</div>
					<div class="col-md-10">
					  <select id="producto" name="producto">
					    <option value=""></option>
						<option value="Efectivo">Efectivo</option>
						<option value="MONCASH">MONCASH</option>
						<option value="NATCASH">NATCASH</option>
					  </select>
					</div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Moneda</div>
					<div class="col-md-10">
					  <select id="moneda" name="moneda" onClick="get_tasa(this.value)">
					    <option value=""></option>
						<option value="GOURDE">GOURDE</option>
						<option value="PESOS">PESOS</option>
						<option value="DOLAR">DOLAR</option>
					  </select>
					</div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Monto:</div>
					<div class="col-md-10"><input type="text"  
					class="form-control" name="monto"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Tasa compra:</div>
					<div class="col-md-3"><input type="text"  
					class="form-control" name="tasa_compra" id="tasa_compra"></div>
					
					<div class="col-md-2">Tasa venta:</div>
					<div class="col-md-3"><input type="text"  
					class="form-control" name="tasa_venta" id="tasa_venta"></div>
				</div>
				
					<hr>
				<div class="row mt-2">
					<div class="col-md-2"><b><u>CONCEPTO:</u></b></div>
					<div class="col-md-10"><input type="text" id="concepto" name="concepto"  class="form-control"></div>
				</div>
			
				
				
				
				<div class="row mt-2">
					<div class="col-md-12"><button class="btn btn-rojo" name="btnAplicar"><b><i class="fa fas fa-coins"></i> Grabar credito</b></button>
					 <a class="btn btn-default" href="creditos.php?cliente=<?php echo $cliente?>"><i class="fa fas fas fa-share-square"></i> Salir</a> </div>
					 <br>
					 <span class="text-danger" id="msg"></span>
				</div>
				</form>
			</div>
		 </div>
	</div>
</div>

</div>



        	<script>
			 function get_tasa(n){
						$("#tasa_compra").val("");
						$("#tasa_venta").val("");
						
						
            var sql="select * from tasas2 where moneda='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                           
						$("#tasa_compra").val(rs.data[i].compra);
						$("#tasa_venta").val(rs.data[i].venta);
						

                }
                $("#loading").modal('hide');
            })
 }
 
 
			function cliente(){
				 window.open('clientes.php?from_credito=1','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
			}
			
					$("#usuario").val(myUser)
					$("#caja").val(myCaja)
					function cxc(){
						
						var cliente = $("#clientes").val();
                        var usuario = $("#usuario").val();
                        var termino = $("#termino").val();
                        var estado = $("#estado").val();
                      
                      
                        var fecha1 = $("#fecha1").val();
                        var fecha2 = $("#fecha2").val();
                        
                        var param="";
                        param="cliente="+cliente;
                        param+="&usuario="+usuario;
						param+="&termino="+termino;
						param+="&estado="+estado;
                        param+="&fecha1="+fecha1;
                        param+="&fecha2="+fecha2;
						
						
						
					  window.open('rptCxc.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

					}
					
					
	if(myLevel=="Supervisor"){
		$(".nav").hide();
	}			
                </script>
				
	<?php include_once '../footer.php';?>